Subject: Re: I: gcc ... -U_WIN32 ... may cause problems
From: [email-masked] (Mumit Khan)

3 Sep 1998 19:38:25 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Content-Transfer-Encoding: 8bit
To: "Larry Hall (RFK Partners Inc)" <[email-masked]>
Cc: [email-masked]

On Wed, 2 Sep 1998, Larry Hall (RFK Partners Inc) wrote:

> 
> Below is documentation that comes with VC++ 5.0.  See table 1.2 for 
> Microsoft specific predefined macros.
> 

[ .... ]
> 
> 
> Table 1.2 Microsoft-Specific Predefined Macros 
> 
> __cplusplus
> 
> Defined for C++ programs only.
> 
 
 [ ... ]

> 
> 
> _MSC_VER
> 
> Defines the compiler version. Defined as 1100 for Microsoft Visual C++™ 5.0. Always defined.
> 
> 
> _WIN32
> 
> 
> Defined for applications for Win32®. Always defined. 
> 

I think you are confusing the term "Microsoft specifc predefined macros"
with "these macros are only defined for Microsoft compilers". I've plucked
3 out of the list, and 2 of those are defined by *every* C++ compiler 
for W95/NT.

The only MS compiler specific macro among these 3 is _MSC_VER, which GNU
does not and will not define.

Regards
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".